Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Configuration_Section_Key Class Reference

Reference counted wrapper for ACE_Section_Key_Internal. More...

`#include <Configuration.h>`

Collaboration diagram for ACE_Configuration_Section_Key:

[legend]
List of all members.

## Public Member Functions
| ACE_Configuration_Section_Key (void)
| Default constructor.
| ACE_Configuration_Section_Key (ACE_Section_Key_Internal *key)
| Constructor that initializes to a pointer to a concrete internal key.
| ACE_Configuration_Section_Key (const ACE_Configuration_Section_Key &rhs)
| Copy constructor, increments the reference count on the key.
| ~ACE_Configuration_Section_Key (void)
| Destructor, decrements reference count on the referenced key.
ACE_Configuration_Section_Key & | operator= (const ACE_Configuration_Section_Key &rhs)
## Private Attributes
ACE_Section_Key_Internal * | key_
## Friends
class | ACE_Configuration

## Detailed Description

Reference counted wrapper for ACE_Section_Key_Internal.

Reference counted wrapper class for the abstract internal section key. A user gets one of these to represent a section in the configuration database.

## Constructor & Destructor Documentation

ACE_Configuration_Section_Key::ACE_Configuration_Section_Key | ( | void |  | ) |

| Default constructor.

ACE_Configuration_Section_Key::ACE_Configuration_Section_Key | ( | ACE_Section_Key_Internal * | key | ) | `[explicit]`

  | Constructor that initializes to a pointer to a concrete internal key. Parameters:
  | key | The section key to reference. Calls add_ref() with key.

ACE_Configuration_Section_Key::ACE_Configuration_Section_Key | ( | const ACE_Configuration_Section_Key & | rhs | ) |

| Copy constructor, increments the reference count on the key.

ACE_Configuration_Section_Key::~ACE_Configuration_Section_Key | ( | void |  | ) |

| Destructor, decrements reference count on the referenced key.

## Member Function Documentation

ACE_Configuration_Section_Key & ACE_Configuration_Section_Key::operator= | ( | const ACE_Configuration_Section_Key & | rhs | ) |

| Assignment operator, increments reference count for this object and decrements it on rhs.

## Friends And Related Function Documentation

friend class ACE_Configuration`[friend]`

## Member Data Documentation

ACE_Section_Key_Internal* ACE_Configuration_Section_Key::key_`[private]`

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp